libbd_btrfs-devel-2.20-2.1.i586.rpm


Advertisement

Description

libbd_btrfs-devel - Development files for the libbd_btrfs plugin/library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libbd_btrfs-devel-2.20-2.1.i586.rpm
Package name libbd_btrfs-devel
Package version 2.20
Package release 2.1
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://github.com/storaged-project/libblockdev
License LGPL-2.1-only
Maintainer -
Download size 12.00 KB
Installed size 3.83 KB
This package contains header files and pkg-config files needed for development
with the libbd_btrfs plugin/library.

Alternatives

Package Version Architecture Repository
libbd_btrfs-devel-2.20-2.1.x86_64.rpm 2.20 x86_64 openSUSE Oss
libbd_btrfs-devel - - -

Requires

Name Value
glib2-devel -
libbd_btrfs2 >= 2.20
libbd_utils-devel -

Provides

Name Value
libbd_btrfs-devel = 2.20-2.1
libbd_btrfs-devel(x86-32) = 2.20-2.1
libblockdev-btrfs-devel = 2.20

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libbd_btrfs-devel-2.20-2.1.i586.rpm
Source Package libblockdev-2.20-2.1.src.rpm

Install Howto

Install libbd_btrfs-devel rpm package:

# zypper install libbd_btrfs-devel

Files

Path
/usr/include/blockdev/btrfs.h
/usr/lib/libbd_btrfs.so

Changelog

2019-02-13 - Jan Engelhardt <jengelh@inai.de>
- Explain VDO. Fix grammar mishaps.
2019-01-24 - bjorn.lie@gmail.com
- Add pkgconfig(yaml-0.1) BuildRequires and pass with-vdo instead
of without-vdo to configure, build vdo support.
- Following the above, add new sub-packages libbd_vdo2 and
libbd_vdo-devel, aswell as handle the new library in post(un).
2019-01-11 - bjorn.lie@gmail.com
- Add pkgconfig(dbus-1) BuildRequires: Add missing BuildRequires,
libblockdev needs dbus headerfiles during build, but configure
does not check for it.
2018-11-19 - luc14n0@linuxmail.org
- Update to version 2.20:
+ Fixes:
- Fix parsing extra arguments for LVM methods calls in the LVM
DBus plugin;
- Multiple fixes for running tests on Debian testing.
+ Development: Vagrantfile template was added for easy
development machine setup.
- Changes from version 2.19:
+ Features:
- vdo: new functions to get statistical data for existing VDO
volumes (bd_vdo_get_stats);
- crypto: support for passing extra arguments for key
derivation function when creating LUKS2 format.
2018-06-28 - luc14n0@linuxmail.org
- Update to version 2.18:
+ New plugin: vdo, support for creating and managing VDO volumes.
2018-05-04 - luc14n0@linuxmail.org
- Update to version 2.17:
+ New plugin: nvdimm, support for NVDIMM namespaces management;
+ LUKS2 support for creating LUKS2 format including authenticated
disk encryption. Multiple new functions for working with LUKS
devices (suspend/resume, header backup, metadata size...);
+ Extended support for opening TrueCrypt/VeraCrypt volumes.
- Drop pkgconfig(nss) and libvolume_key-devel BuildRequires now
that they are optional and pass without-escrow to configure:
libvolume_key's code is ancient and nearly dead upstream.
2018-03-28 - luc14n0@linuxmail.org
- Resplit plugins to avoid pulling clusterlvm support by default
into the dependency chain (bsc#1086447).
2018-03-05 - luc14n0@linuxmail.org
- Move all plugins into the shared library subpackage and their
respective development files into the devel one.
- Add '-only' to LGPL License tag to comply with SPDX 3.0.
2018-02-21 - luc14n0@linuxmail.org
- Update to version 2.16:
* Features:
- LUKS 2 support for luks_open/close and
luks_add/remove/change_key.
- Progress report support for ext filesystem checks.
- Changes from version 2.15:
* Features:
- The file system plugin is now split into multiple source
files making it easier to add support for more file systems
and technologies.
* Fixes:
- How GPT patition flags are set;
- Check the btrfs module availability as part of checking the
btrfs plugin's dependencies;
- Memory leaks in bd_fs_vfat_get_info();
- The file system plugin's dependency checking mechanisms.
- Add libblockdev-fix-libkmod-include.patch as openSUSE doesn't use
/usr/include/ but /usr/include/kmod to place libkmod.h.
- Conditionalize the use of Python 2's bindings and turn it off
defaulting Python 3.
- Drop s390's plugin due to the lack of a file still not present
in s390-tools package.
- Drop BuildRoot tag since RPM already handles this itself.
2018-01-18 - jengelh@inai.de
- Remove excess Provides, BuildRequires and %ifs.
- Fix %description line mismatch for s390x parts.

See Also

Package Description
libbd_btrfs2-2.20-2.1.i586.rpm The BTRFS plugin for the LibBlockDev library
libbd_btrfs2-2.20-2.1.x86_64.rpm The BTRFS plugin for the LibBlockDev library
libbd_crypto-devel-2.20-2.1.i586.rpm Development files for the libbd_crypto plugin/library
libbd_crypto-devel-2.20-2.1.x86_64.rpm Development files for the libbd_crypto plugin/library
libbd_crypto2-2.20-2.1.i586.rpm The crypto plugin for the LibBlockDev library
libbd_crypto2-2.20-2.1.x86_64.rpm The crypto plugin for the LibBlockDev library
libbd_dm-devel-2.20-2.1.i586.rpm Development files for the libbd_dm plugin/library
libbd_dm-devel-2.20-2.1.x86_64.rpm Development files for the libbd_dm plugin/library
libbd_dm2-2.20-2.1.i586.rpm The Device Mapper plugin for the LibBlockDev library
libbd_dm2-2.20-2.1.x86_64.rpm The Device Mapper plugin for the LibBlockDev library
libbd_fs-devel-2.20-2.1.i586.rpm Development files for the libbd_fs plugin/library
libbd_fs-devel-2.20-2.1.x86_64.rpm Development files for the libbd_fs plugin/library
libbd_fs2-2.20-2.1.i586.rpm The FS plugin for the LibBlockDev library
libbd_fs2-2.20-2.1.x86_64.rpm The FS plugin for the LibBlockDev library
libbd_kbd-devel-2.20-2.1.i586.rpm Development files for the libbd_kbd plugin/library
Advertisement
Advertisement